Loading...
Searching...
No Matches
ls_filter.c File Reference

GIS Library - Filename filter functions. More...

`#include <grass/config.h>`
`#include <grass/gis.h>`
Include dependency graph for ls_filter.c:

Go to the source code of this file.

## Functions

void * | G_ls_regex_filter (const char *pat, int exclude, int extended, int ignorecase)
void * | G_ls_glob_filter (const char *pat, int exclude, int ignorecase)
void | G_free_ls_filter (void *regex)

## Detailed Description

GIS Library - Filename filter functions.

(C) 2010 by Glynn Clements and the GRASS Development Team

This program is free software under the GNU General Public License (>=v2). Read the file COPYING that comes with GRASS for details.

Author
  Original author Glynn Clements

Definition in file ls_filter.c.

## Function Documentation

## G_free_ls_filter()

void G_free_ls_filter | ( | void * | regex | ) |

Definition at line 267 of file ls_filter.c.

## G_ls_glob_filter()

void * G_ls_glob_filter | ( | const char * | pat,
|  | int | exclude,
|  | int | ignorecase )

Definition at line 233 of file ls_filter.c.

References G_ls_regex_filter(), init(), and NULL.

## G_ls_regex_filter()

void * G_ls_regex_filter | ( | const char * | pat,
|  | int | exclude,
|  | int | extended,
|  | int | ignorecase )

Definition at line 173 of file ls_filter.c.

References G_free(), G_set_ls_exclude_filter(), G_set_ls_filter(), and NULL.

Referenced by G_ls_glob_filter().